*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    font-size: 62.5%;
}
body{
    height: 100%;
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;

}

.container{
    width: 100%;
    height: 100%;
    display: grid;
    gap: 1rem;
    position: relative;
}
/* area de popup */
.popup{
    width: 50%;
    height: 50%;
    position: absolute;
    visibility: hidden;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-color: white;
    border-radius: 20px;
    box-shadow: 4px 4px 30px -5px rgba(88, 88, 88, 0.637);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
}
.header_popup{
    flex: 3;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 50%;
    width: 100%;
}
.header_popup h2{
    font-size: 4rem;
    color: rgb(1, 92, 62);
}
.header_popup h3{
    font-size: 5rem;
}
.button_popup{
    flex: 2;
    height: 50%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: start;
}
.button_popup button{
    padding: 1rem 2rem;
    background-color: rgb(1, 92, 62);
    font-size: 2rem;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 40%;
    height: 30%;
}
.button_popup button:hover{
    background-color: rgb(2, 197, 132);
}
/* header comum */
header{
    width: 100%;
    height: 20rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 10px;
}
.players p{
    font-size: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80%;
}
#payer1{
    width: 100%;
    grid-area: 2/1/-1/2;
    display: flex;
    justify-content: end;
    align-items: center;
}
#payer2{
    width: 100%;
    grid-area: 2/2/-1/3;
    display: flex;
    justify-content: start;
    align-items: center;
}
.payervez{
    background-color: rgb(2, 197, 132);
    color: white;
    padding: 0px 20px;
    border-radius: 15px;
    transition: all .2s ease-in-out; 
}
p{
    font-size: 3rem;
    margin: 0px 30px;
}
h1{
    grid-area: 1/1/2/-1;
    width: 100%;
    font-size: 5rem;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
span{
    color: rgb(2, 197, 132);
    margin-left: 1rem;
}

/* Area de main */
main{
    display: flex;
    justify-content: center;
    align-items: center;
}
.subcontainer{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: repeat(3,1fr);
    background-color: black;
    gap: 1rem;
}

img{
    width: 20rem;
    height: 20rem;
    background-color: rgb(255, 255, 255);
    cursor: pointer;
    transition: .1s ease-in-out;
    padding: 4rem;
}
.bloco:hover{
    background-color: rgb(221, 221, 221);
}
@media (width<980px) {
    .popup{
        width: 70%;
        height: 30%;
        padding-top: 40px;
    }
    .header_popup{
        flex: 0;
    }
    .header_popup h2{
        font-size: 3rem;
    }
    .header_popup h3{
        font-size: 4rem;
    }
    .button_popup{
        flex: 3;
        justify-content: center;
        align-items: center;
    }
    .button_popup button{
        padding: 1rem 2rem 3rem 2rem;
        font-size: 1.7rem;
    }
    .players p{
        font-size: 2.3rem;
        height: 70%;
    }
    .payervez{
        border-radius: 10px;
    }
    h1{
        font-size: 4rem;
    }
    .subcontainer{
        gap: 0.8rem;
    }
    
    img{
        width: 15rem;
        height: 15rem;
    }
}
@media (width<700px) {
    .popup{
        width: 50%;
        height: 35%;
    }
    .header_popup{
        flex: 0;
    }
    .header_popup h2{
        font-size: 2.5rem;
    }
    .header_popup h3{
        font-size: 3.5rem;
    }
}
@media (width<560px) {
    .popup{
        width: 80%;
        height: 28%;
        padding-top: 20px;
    }
    .header_popup{
        flex: 0;
    }
    .header_popup h2{
        font-size: 2rem;
    }
    .header_popup h3{
        font-size: 3rem;
    }
    .button_popup{
        flex: 0;
    }
    .button_popup button{
        padding: 1rem 2rem 2.5rem 2rem;
        font-size: 1.4rem;
    }
    .players p{
        font-size: 1.8rem;
        height: 60%;
    }
    .payervez{
        border-radius: 6px;
    }
    h1{
        font-size: 3rem;
    }
    .subcontainer{
        gap: 0.5rem;
    }
    
    img{
        width: 10rem;
        height: 10rem;
        padding: 2.5rem;
    }
    .bloco:hover{
        background-color: rgb(255, 255, 255);
    }
}